Create task attachment from external source
curl --request POST \
--url https://api.projectcor.com/v1/tasks/{task_id}/attachments/source/{source_type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"originalname": "<string>",
"size": 0,
"available": true,
"session_token": null
}
'import requests
url = "https://api.projectcor.com/v1/tasks/{task_id}/attachments/source/{source_type}"
payload = {
"filename": "<string>",
"originalname": "<string>",
"size": 0,
"available": True,
"session_token": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filename: '<string>',
originalname: '<string>',
size: 0,
available: true,
session_token: null
})
};
fetch('https://api.projectcor.com/v1/tasks/{task_id}/attachments/source/{source_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/tasks/{task_id}/attachments/source/{source_type}';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filename: '<string>',
originalname: '<string>',
size: 0,
available: true,
session_token: null
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/tasks/{task_id}/attachments/source/{source_type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filename' => '<string>',
'originalname' => '<string>',
'size' => 0,
'available' => true,
'session_token' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/tasks/{task_id}/attachments/source/{source_type}"
payload := strings.NewReader("{\n \"filename\": \"<string>\",\n \"originalname\": \"<string>\",\n \"size\": 0,\n \"available\": true,\n \"session_token\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 123,
"url": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"size": 123,
"file_type": "<string>",
"media_type": "<string>",
"user_id": 123,
"discussions_id": 123,
"session_token": "<string>"
}{
"status": 400,
"name": "CORCustomError",
"code": "AC001",
"message": "Invalid source type"
}[
{
"field": "<string>",
"validation": "<string>",
"message": "<string>"
}
]Task Attachments
Create task attachment from external source
Creates an attachment from an external source (Google Drive, Dropbox, OneDrive).
POST
/
tasks
/
{task_id}
/
attachments
/
source
/
{source_type}
Create task attachment from external source
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the task
External file source: GoogleDrive, DropBox, or OneDrive
Available options:
GoogleDrive, DropBox, OneDrive Body
application/json
Was this page helpful?
⌘I

